# this is the same as %%configure, but in the toplevel direcory
%global dconfigure %(printf %%s '%configure' | sed 's!\./configure!../configure!g')

Name:           gtkhash
Version:        0.6.0
Release:        %mkrel 2
Summary:        GTK+ utility for computing message digests or checksums
Group:          File tools
License:        GPLv2+
URL:            http://gtkhash.sourceforge.net/
Source0:        http://downloads.sourceforge.net/%{name}/%{name}-%{version}.tar.xz
Source1:        %{name}.desktop
Source2:        %{name}3.desktop
Patch0:         gtkhash-0.6.0-aarch64.patch
BuildRequires: desktop-file-utils
BuildRequires: gettext
BuildRequires: intltool
BuildRequires: libatk1.0-devel
BuildRequires: libcairo-devel
BuildRequires: libgcrypt-devel
BuildRequires: libgdk_pixbuf2.0_0-devel
BuildRequires: libglib2.0-devel
BuildRequires: libgpg-error-devel
BuildRequires: libgtk+2.0_0-devel
BuildRequires: libgtk+3.0-devel
BuildRequires: libmhash-devel
BuildRequires: libpango1.0-devel
BuildRequires: libpthread-stubs
BuildRequires: wayland-protocols-devel

%description
GtkHash is a GTK+ 2 utility for computing message digests or checksums. Currently
supported hash functions include
* MD2, MD4 and MD5
* SHA1, SHA224, SHA256, SHA384 and SHA512,
* RIPEMD128, RIPEMD160, RIPEMD256 and RIPEMD320
* TIGER128, TIGER160 and TIGER192
* HAVAL128-3, HAVAL160-3, HAVAL192-3, HAVAL224-3 and HAVAL256-3
* SNEFRU128 and SNEFRU256
* ADLER32, CRC32, GOST and WHIRLPOOL

This package contains the GTK+2 version of the program. For the GTK+3 version,
install the %{name}3 package.


%package -n     %{name}3
Summary:        GTK+ 3 utility for computing message digests or checksums
Group:          File tools

%description -n %{name}3
GtkHash is a GTK+ 3 utility for computing message digests or checksums. Currently
supported hash functions include
* MD2, MD4 and MD5
* SHA1, SHA224, SHA256, SHA384 and SHA512,
* RIPEMD128, RIPEMD160, RIPEMD256 and RIPEMD320
* TIGER128, TIGER160 and TIGER192
* HAVAL128-3, HAVAL160-3, HAVAL192-3, HAVAL224-3 and HAVAL256-3
* SNEFRU128 and SNEFRU256
* ADLER32, CRC32, GOST and WHIRLPOOL

This package contains the GTK+3 version of the program. For the GTK+2 version,
install the %{name} package.



%prep
%setup -q
%patch0 -p1 -b .aarch64


%build
# We need to build this package twice, once for gtk2 and once for gtk3.
mkdir gtk2 gtk3

# build gtk2 (with Thunar)
cd gtk2

%dconfigure --with-gtk=2.0 \
  --enable-linux-crypto \
  --enable-gcrypt \
  --enable-glib-checksums \
  --enable-mhash \
  --disable-thunar \
  --disable-nautilus \
  --disable-schemas-compile \

make %{?_smp_mflags} V=1

# build gtk3 (with nautilus)
cd ../gtk3

%dconfigure --with-gtk=3.0 \
  --program-suffix=3 \
  --enable-linux-crypto \
  --enable-gcrypt \
  --enable-glib-checksums \
  --enable-mhash \
  --disable-nautilus \
  --disable-thunar \
  --disable-schemas-compile \

make %{?_smp_mflags} V=1


%install
rm -rf %{buildroot}

# install gtk2 part
cd gtk2

make install DESTDIR=%{buildroot} INSTALL='install -p'
%find_lang %{name}
desktop-file-install                               \
  --dir=%{buildroot}%{_datadir}/applications       \
  %{SOURCE1}

# install gtk3 part
cd ../gtk3

make install DESTDIR=%{buildroot} INSTALL='install -p'
%find_lang %{name}

cp %{SOURCE2} gtkhash3.desktop
desktop-file-install                               \
  --dir=%{buildroot}%{_datadir}/applications       \
  %{SOURCE2}

# generic
find %{buildroot} -name '*.la' -exec rm -f {} ';'


%clean
rm -rf %{buildroot}


%postun -n %{name}3
if [ $1 -eq 0 ] ; then
    /usr/bin/glib-compile-schemas %{_datadir}/glib-2.0/schemas &> /dev/null || :
fi


%posttrans
/usr/bin/glib-compile-schemas %{_datadir}/glib-2.0/schemas &> /dev/null || :


%files -f gtk2/%{name}.lang
%defattr(-,root,root,-)
%doc AUTHORS COPYING NEWS README TODO
%{_bindir}/%{name}
%{_datadir}/%{name}/
%{_datadir}/applications/%{name}.desktop
%{_datadir}/glib-2.0/schemas/app.gtkhash.gschema.xml

%files -n %{name}3 -f gtk3/%{name}.lang
%defattr(-,root,root,-)
%doc AUTHORS COPYING NEWS README TODO
%{_bindir}/%{name}3
%{_datadir}/%{name}/
%{_datadir}/applications/%{name}3.desktop

%changelog
* Sat Mar 31 2018 adrianomorselli <adrianomorselli> 0.6.0-2uplos2018
- rebuild against new libgcrypt
